## liqacceltests 0.1.0

=== Makefile ===
PROG = liqacceltests

VERS		  = 0.1.0
ETCDIR		= $(DESTDIR)/etc
PREFIX		= $(DESTDIR)/usr
cc = gcc
LD = gcc
OPT_FLAGS = -O3
CFLAGS		= 
LDFLAGS	  = -lm -lliqbase -Wl,-export-dynamic
RM			 = /bin/rm -f
OBJSCORE	 = liqaccel.o angleruler.o liqacceltests_cover.o liqaccelview.o liqaccelview_alternative.o liqaccelview_angle.o liqaccelview_trace.o
OBJS		  = $(OBJSCORE) $(PROG).o

.PHONY:	  clean distclean
all:		  $(PROG) $(PROG).so
$(PROG):	 $(OBJS)
			 $(LD) $(LDFLAGS) -o $(PROG) $(OBJS)
$(PROG).so : $(OBJS)
	 $(LD) -shared -lc $(CFLAGS) $(LDFLAGS) $(OBJS) -o $(PROG).so
.c.o:
			 $(CC) $(OPT_FLAGS) $(CFLAGS) -c $< -o $*.o
clean:
			 $(RM) *~ $(OBJS) $(PROG) $(PROG).so
.PHONY:	  clean

install:
			 install -d								 $(ETCDIR)/osso-backup
			 install -d								 $(ETCDIR)/osso-backup/applications
			 install -d								 $(PREFIX)/bin
			 install -d								 $(PREFIX)/share/applications/hildon
			 install -d								 $(PREFIX)/share/dbus-1/services
			 install -d								 $(PREFIX)/share/liqbase
			 install -d								 $(PREFIX)/share/liqbase/liqacceltests
			 install -d								 $(PREFIX)/share/liqbase/liqacceltests/media
			 
			 mkdir -p									$(PREFIX)/share/liqbase
			 mkdir -p									$(PREFIX)/share/liqbase/liqacceltests/media
			 
			 install -m 0755 liqacceltests			  $(PREFIX)/share/liqbase/liqacceltests
			 install -m 0755 liqacceltests.so		  $(PREFIX)/share/liqbase/liqacceltests
			 
			 cp -r media/*							 $(PREFIX)/share/liqbase/liqacceltests/media
			 
			 install -m 0755 base_fs/usr/bin/liqacceltests-run.sh										 $(PREFIX)/bin
			 install -m 0755 base_fs/usr/share/applications/hildon/liqacceltests.desktop		  $(PREFIX)/share/applications/hildon
			 install -m 0755 base_fs/usr/share/dbus-1/services/org.maemo.liqacceltests.service  $(PREFIX)/share/dbus-1/services
			 install -m 0755 base_fs/etc/osso-backup/applications/liqacceltests.conf				$(ETCDIR)/osso-backup/applications
			 mkdir -p																				$(PREFIX)
			 mkdir -p																				$(PREFIX)/share
			 mkdir -p																				$(PREFIX)/share/icons
			 mkdir -p																				$(PREFIX)/share/icons/hicolor
			 mkdir -p																				$(PREFIX)/share/icons/hicolor/scalable
			 mkdir -p																				$(PREFIX)/share/icons/hicolor/scalable/apps
			 install -m 0755  liqacceltests.png													$(PREFIX)/share/icons/hicolor/scalable/apps/liqacceltests.png

=== debian/changelog ===
liqacceltests (0.1.0) unstable; urgency=low

  * liqacceltests Initial release. (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Gary Birkett <liquid@gmail.com>  Thu, 17 Dec 2009 23:25:56 +0000

=== debian/control ===
Source: liqacceltests
Section: user/multimedia
Priority: extra
Maintainer: Gary Birkett <liquid@gmail.com>
Build-Depends: debhelper (>= 5) , libliqbase-dev
Standards-Version: 3.7.2

Package: liqacceltests
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} , libliqbase1
Description: short description
 longer description

## liqacceltests 0.1.1

=== debian/changelog ===
liqacceltests (0.1.1) unstable; urgency=low

  * package tweak

 -- Gary Birkett <liquid@gmail.com>  Sat, 19 Dec 2009 01:01:56 +0000

=== debian/control ===
--- 
+++ 
@@ -8,5 +8,5 @@
 Package: liqacceltests
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends} , libliqbase1
-Description: short description
- longer description
+Description: suite of accelerometer testing widgets
+ suite of accelerometer testing widgets to show the variety and flexibility of the n900 accelerometer in different situations.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/liqbase
	$(MAKE) DESTDIR=$(CURDIR)/debian/liqacceltests install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#  dh_install
#  dh_installmenu
#  dh_installdebconf
#  dh_installlogrotate
#  dh_installemacsen
#  dh_installpam
#  dh_installmime
#  dh_python
#  dh_installinit
#  dh_installcron
#  dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#  dh_perl
#  dh_makeshlibs
	dh_installdeb
#  dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
